import React from "react";
import { type EventName } from "@lit-labs/react";
import { ISelectOption } from "./components/select/bl-select";
export type BlAccordionGroup = import("./components/accordion-group/bl-accordion-group").default;
export type BlAlert = import("./components/alert/bl-alert").default;
export type BlBadge = import("./components/badge/bl-badge").default;
export type BlButton = import("./components/button/bl-button").default;
export type BlCalendar = import("./components/calendar/bl-calendar").default;
export type BlCheckboxGroup = import("./components/checkbox-group/bl-checkbox-group").default;
export type BlDatepicker = import("./components/datepicker/bl-datepicker").default;
export type BlDialog = import("./components/dialog/bl-dialog").default;
export type BlDrawer = import("./components/drawer/bl-drawer").default;
export type BlDropdown = import("./components/dropdown/bl-dropdown").default;
export type BlIcon = import("./components/icon/bl-icon").default;
export type BlInput = import("./components/input/bl-input").default;
export type BlNotification = import("./components/notification/bl-notification").default;
export type BlPagination = import("./components/pagination/bl-pagination").default;
export type BlPopover = import("./components/popover/bl-popover").default;
export type BlProgressIndicator = import("./components/progress-indicator/bl-progress-indicator").default;
export type BlRadioGroup = import("./components/radio-group/bl-radio-group").default;
export type BlSelect = import("./components/select/bl-select").default;
export type BlSpinner = import("./components/spinner/bl-spinner").default;
export type BlSplitButton = import("./components/split-button/bl-split-button").default;
export type BlSwitch = import("./components/switch/bl-switch").default;
export type BlTabGroup = import("./components/tab-group/bl-tab-group").default;
export type BlTable = import("./components/table/bl-table").default;
export type BlTag = import("./components/tag/bl-tag").default;
export type BlTextarea = import("./components/textarea/bl-textarea").default;
export type BlTooltip = import("./components/tooltip/bl-tooltip").default;
export type BlAccordion = import("./components/accordion-group/accordion/bl-accordion").default;
export type BlCheckbox = import("./components/checkbox-group/checkbox/bl-checkbox").default;
export type BlDropdownGroup = import("./components/dropdown/group/bl-dropdown-group").default;
export type BlDropdownItem = import("./components/dropdown/item/bl-dropdown-item").default;
export type BlNotificationCard = import("./components/notification/card/bl-notification-card").default;
export type BlRadio = import("./components/radio-group/radio/bl-radio").default;
export type BlSelectOption = import("./components/select/option/bl-select-option").default;
export type BlTab = import("./components/tab-group/tab/bl-tab").default;
export type BlTabPanel = import("./components/tab-group/tab-panel/bl-tab-panel").default;
export type BlTableBody = import("./components/table/table-body/bl-table-body").default;
export type BlTableCell = import("./components/table/table-cell/bl-table-cell").default;
export type BlTableHeader = import("./components/table/table-header/bl-table-header").default;
export type BlTableHeaderCell = import("./components/table/table-header-cell/bl-table-header-cell").default;
export type BlTableRow = import("./components/table/table-row/bl-table-row").default;
export declare type BlAlertClose = CustomEvent<boolean>;
export declare type BlButtonClick = CustomEvent<string>;
export declare type BlCalendarCalendarChange = CustomEvent<Date[]>;
export declare type BlCheckboxGroupCheckboxGroupChange = CustomEvent<string[]>;
export declare type BlCheckboxGroupCheckboxGroupInvalid = CustomEvent<ValidityState>;
export declare type BlDatepickerDatepickerChange = CustomEvent<Date[]>;
export declare type BlDialogDialogOpen = CustomEvent<object>;
export declare type BlDialogDialogRequestClose = CustomEvent<{
    source: "close-button" | "keyboard" | "backdrop";
}>;
export declare type BlDialogDialogClose = CustomEvent<object>;
export declare type BlDrawerDrawerOpen = CustomEvent<string>;
export declare type BlDrawerDrawerClose = CustomEvent<string>;
export declare type BlDropdownDropdownOpen = CustomEvent<string>;
export declare type BlDropdownDropdownClose = CustomEvent<string>;
export declare type BlIconLoad = CustomEvent<string>;
export declare type BlIconError = CustomEvent<string>;
export declare type BlInputChange = CustomEvent<string>;
export declare type BlInputInput = CustomEvent<string>;
export declare type BlInputInvalid = CustomEvent<ValidityState>;
export declare type BlPaginationChange = CustomEvent<{
    selectedPage: number;
    prevPage: number;
    itemsPerPage: number;
}>;
export declare type BlPopoverPopoverShow = CustomEvent<string>;
export declare type BlPopoverPopoverHide = CustomEvent<string>;
export declare type BlRadioGroupRadioChange = CustomEvent<string>;
export declare type BlSelectSelect = CustomEvent<ISelectOption[] | ISelectOption>;
export declare type BlSelectSearch = CustomEvent<string>;
export declare type BlSplitButtonDropdownOpen = CustomEvent<string>;
export declare type BlSplitButtonDropdownClose = CustomEvent<string>;
export declare type BlSplitButtonClick = CustomEvent<string>;
export declare type BlSwitchSwitchToggle = CustomEvent<boolean>;
export declare type BlTableSort = CustomEvent<string[]>;
export declare type BlTableRowSelect = CustomEvent<string[]>;
export declare type BlTagTagClick = CustomEvent<{
    value: string | null;
    selected: boolean;
}>;
export declare type BlTextareaInput = CustomEvent<string>;
export declare type BlTextareaChange = CustomEvent<string>;
export declare type BlTextareaInvalid = CustomEvent<ValidityState>;
export declare type BlTooltipTooltipShow = CustomEvent<string>;
export declare type BlTooltipTooltipHide = CustomEvent<string>;
export declare type BlAccordionToggle = CustomEvent<boolean>;
export declare type BlCheckboxCheckboxChange = CustomEvent<boolean>;
export declare type BlCheckboxFocus = CustomEvent<string>;
export declare type BlCheckboxBlur = CustomEvent<string>;
export declare type BlCheckboxCheckboxInvalid = CustomEvent<ValidityState>;
export declare type BlDropdownItemDropdownItemClick = CustomEvent<string>;
export declare type BlNotificationCardNotificationCardRequestClose = CustomEvent<{
    source: "duration-ended" | "close-button";
}>;
export declare type BlNotificationCardNotificationCardClose = CustomEvent<{
    source: "duration-ended" | "close-button";
}>;
export declare type BlRadioChecked = CustomEvent<string>;
export declare type BlRadioFocus = CustomEvent<string>;
export declare type BlRadioBlur = CustomEvent<string>;
export declare type BlSelectOptionSelectOption = CustomEvent<string | null>;
export declare type BlSelectOptionFocus = CustomEvent<string | null>;
export declare type BlSelectOptionBlur = CustomEvent<string | null>;
export declare type BlTabTabSelected = CustomEvent<string>;
export declare const BlAccordionGroup: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/accordion-group/bl-accordion-group").default, {}>>;
/**
 * @tag bl-alert
 * @summary Baklava Alert component
 */
export declare const BlAlert: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/alert/bl-alert").default, {
    onBlClose: EventName<BlAlertClose>;
}>>;
/**
 * @tag bl-badge
 * @summary Baklava Badge component
 *
 * @cssproperty [--bl-badge-bg-color=--bl-color-primary-contrast] Sets the background color of badge
 * @cssproperty [--bl-badge-color=--bl-color-primary] Sets the color of badge
 */
export declare const BlBadge: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/badge/bl-badge").default, {}>>;
/**
 * @tag bl-button
 * @summary Baklava Button component
 *
 * @cssproperty [--bl-button-display=inline-block] Sets the display property of button
 * @cssproperty [--bl-button-justify=center] Sets the justify-content property of button
 *
 */
export declare const BlButton: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/button/bl-button").default, {
    onBlClick: EventName<BlButtonClick>;
}>>;
/**
 * @tag bl-calendar
 * @summary Baklava Calendar component
 **/
export declare const BlCalendar: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/calendar/bl-calendar").default, {
    onBlCalendarChange: EventName<BlCalendarCalendarChange>;
}>>;
/**
 * @tag bl-checkbox-group
 * @summary Baklava Button component
 *
 * @cssproperty [--bl-checkbox-direction=row] Can be used for showing checkbox options as columns instead of rows. Options are `row` or `column`
 */
export declare const BlCheckboxGroup: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/checkbox-group/bl-checkbox-group").default, {
    onBlCheckboxGroupChange: EventName<BlCheckboxGroupCheckboxGroupChange>;
    onBlCheckboxGroupInvalid: EventName<BlCheckboxGroupCheckboxGroupInvalid>;
}>>;
/**
 * @tag bl-datepicker
 * @summary Baklava DatePicker component
 *
 * @cssproperty [--bl-datepicker-input-width] - Sets the width of datepicker input
 **/
export declare const BlDatepicker: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/datepicker/bl-datepicker").default, {
    onBlDatepickerChange: EventName<BlDatepickerDatepickerChange>;
}>>;
/**
 * @tag bl-dialog
 * @summary Baklava Dialog component
 *
 * @cssproperty [--bl-dialog-width=auto] Sets the width of the dialog content
 * @cssproperty [--bl-dialog-caption-line-clamp=1] Sets the line clamp of the caption
 */
export declare const BlDialog: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/dialog/bl-dialog").default, {
    onBlDialogOpen: EventName<BlDialogDialogOpen>;
    onBlDialogRequestClose: EventName<BlDialogDialogRequestClose>;
    onBlDialogClose: EventName<BlDialogDialogClose>;
}>>;
/**
 * @tag bl-drawer
 * @summary Baklava Drawer component
 *
 * @cssproperty [--bl-drawer-animation-duration=250ms] Drawer slide in animation duration
 */
export declare const BlDrawer: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/drawer/bl-drawer").default, {
    onBlDrawerOpen: EventName<BlDrawerDrawerOpen>;
    onBlDrawerClose: EventName<BlDrawerDrawerClose>;
}>>;
/**
 * @tag bl-dropdown
 * @summary Baklava Dropdown component
 */
export declare const BlDropdown: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/dropdown/bl-dropdown").default, {
    onBlDropdownOpen: EventName<BlDropdownDropdownOpen>;
    onBlDropdownClose: EventName<BlDropdownDropdownClose>;
}>>;
/**
 * @tag bl-icon
 * @summary Baklava Icon component
 *
 * @attr [name] Name of the icon to show
 * @cssproperty [font-size] Setting size of icon. Default is current font size in DOM place
 * @cssproperty [color=currentColor] Setting color of icon
 */
export declare const BlIcon: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/icon/bl-icon").default, {
    onBlLoad: EventName<BlIconLoad>;
    onBlError: EventName<BlIconError>;
}>>;
/**
 * @tag bl-input
 * @summary Baklava Input component
 *
 * @cssproperty [--bl-input-padding-start] Sets the padding start
 * @cssproperty [--bl-input-padding-end] Sets the padding end
 */
export declare const BlInput: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/input/bl-input").default, {
    onBlChange: EventName<BlInputChange>;
    onBlInput: EventName<BlInputInput>;
    onBlInvalid: EventName<BlInputInvalid>;
}>>;
/**
 * @tag bl-notification
 * @summary Baklava Notification component
 */
export declare const BlNotification: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/notification/bl-notification").default, {}>>;
/**
 * @tag bl-pagination
 * @summary Baklava Pagination component
 */
export declare const BlPagination: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/pagination/bl-pagination").default, {
    onBlChange: EventName<BlPaginationChange>;
}>>;
/**
 * @tag bl-popover
 * @summary Baklava Popover component
 *
 * @cssproperty [--bl-popover-arrow-display=none] - Sets the display of popovers arrow. Set as `block` to make arrow visible.
 * @cssproperty [--bl-popover-background-color=--bl-color-neutral-full] - Sets the background color of popover.
 * @cssproperty [--bl-popover-border-color=--bl-color-primary-highlight] - Sets the border color of popover.
 * @cssproperty [--bl-popover-border-size=1px] - Sets the border size of popover. You can set it to `0px` to not have a border (if you use a custom background color). Always use with a length unit.
 * @cssproperty [--bl-popover-padding=--bl-size-m] - Sets the padding of popover.
 * @cssproperty [--bl-popbover-border-radius=--bl-size-3xs] - Sets the border radius of popover.
 * @cssproperty [--bl-popover-max-width=100vw] - Sets the maximum width of the popover (including border and padding).
 * @cssproperty [--bl-popover-position=fixed] - Sets the position of popover. You can set it to `absolute` if parent element is a fixed positioned element like drawer or dialog.
 */
export declare const BlPopover: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/popover/bl-popover").default, {
    onBlPopoverShow: EventName<BlPopoverPopoverShow>;
    onBlPopoverHide: EventName<BlPopoverPopoverHide>;
}>>;
/**
 * @tag bl-progress-indicator
 * @summary Baklava Progress Indicator component
 *
 * @cssproperty [--bl-progress-indicator-transition-duration=.2s] Duration of the transition of progress bar
 * @property {max} [max=100]
 * @property {number} [value=0]
 */
export declare const BlProgressIndicator: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/progress-indicator/bl-progress-indicator").default, {}>>;
/**
 * @tag bl-radio-group
 * @summary Baklava Button component
 *
 * @cssproperty [--bl-radio-direction=row] Can be used for showing radio options as columns instead of rows. Options are `row` or `column`
 * @cssproperty [--bl-radio-group-cross-axis-item-alignment=normal] Can be used for aligning radio items on cross axis. Acts same with align-item
 * @cssproperty [--bl-radio-group-cross-axis-content-alignment=normal] Can be used for aligning radio group content on cross axis. Acts same with align-content
 * @cssproperty [--bl-radio-group-main-axis-content-alignment=normal] Can be used for aligning radio group content on main axis. Acts same with justify-content
 */
export declare const BlRadioGroup: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/radio-group/bl-radio-group").default, {
    onBlRadioChange: EventName<BlRadioGroupRadioChange>;
}>>;
/**
 * @tag bl-select
 * @summary Baklava Select component
 *
 * @cssproperty [--bl-popover-position=fixed] Sets the positioning strategy of select popover. You can set it as `absolute` if you need to show popover relative to its trigger element.
 */
export declare const BlSelect: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/select/bl-select").default<string>, {
    onBlSelect: EventName<BlSelectSelect>;
    onBlSearch: EventName<BlSelectSearch>;
}>>;
/**
 * @tag bl-spinner
 * @summary Baklava Spinner component
 *
 */
export declare const BlSpinner: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/spinner/bl-spinner").default, {}>>;
/**
 * @tag bl-split-button
 * @summary Baklava Split Button component
 */
export declare const BlSplitButton: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/split-button/bl-split-button").default, {
    onBlDropdownOpen: EventName<BlSplitButtonDropdownOpen>;
    onBlDropdownClose: EventName<BlSplitButtonDropdownClose>;
    onBlClick: EventName<BlSplitButtonClick>;
}>>;
/**
 * @tag bl-switch
 * @summary Baklava Switch component
 *
 * @cssproperty [--bl-switch-color-on=--bl-color-primary] Set the checked color
 * @cssproperty [--bl-switch-color-off=--bl-color-neutral-lighter] Set the unchecked color
 * @cssproperty [--bl-switch-animation-duration=300ms] Set the animation duration of switch toggle
 */
export declare const BlSwitch: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/switch/bl-switch").default, {
    onBlSwitchToggle: EventName<BlSwitchSwitchToggle>;
}>>;
/**
 * @tag bl-tab-group
 * @summary Baklava Tab group component
 */
export declare const BlTabGroup: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/tab-group/bl-tab-group").default, {}>>;
/**
 * @tag bl-table
 * @summary Baklava Table component
 *
 */
export declare const BlTable: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/table/bl-table").default, {
    onBlSort: EventName<BlTableSort>;
    onBlRowSelect: EventName<BlTableRowSelect>;
}>>;
/**
 * @tag bl-tag
 * @summary Baklava Tag component
 */
export declare const BlTag: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/tag/bl-tag").default, {
    onBlTagClick: EventName<BlTagTagClick>;
}>>;
/**
 * @tag bl-textarea
 * @summary Baklava Textarea component
 */
export declare const BlTextarea: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/textarea/bl-textarea").default, {
    onBlInput: EventName<BlTextareaInput>;
    onBlChange: EventName<BlTextareaChange>;
    onBlInvalid: EventName<BlTextareaInvalid>;
}>>;
/**
 * @tag bl-tooltip
 * @summary Baklava Tooltip component
 * @dependency bl-popover
 *
 * @cssproperty [--bl-tooltip-trigger-display=inline-flex] Set the display of the tooltip trigger.
 */
export declare const BlTooltip: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/tooltip/bl-tooltip").default, {
    onBlTooltipShow: EventName<BlTooltipTooltipShow>;
    onBlTooltipHide: EventName<BlTooltipTooltipHide>;
}>>;
export declare const BlAccordion: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/accordion-group/accordion/bl-accordion").default, {
    onBlToggle: EventName<BlAccordionToggle>;
}>>;
/**
 * @tag bl-checkbox
 * @summary Baklava Checkbox component
 */
export declare const BlCheckbox: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/checkbox-group/checkbox/bl-checkbox").default, {
    onBlCheckboxChange: EventName<BlCheckboxCheckboxChange>;
    onBlFocus: EventName<BlCheckboxFocus>;
    onBlBlur: EventName<BlCheckboxBlur>;
    onBlCheckboxInvalid: EventName<BlCheckboxCheckboxInvalid>;
}>>;
/**
 * @tag bl-dropdown-group
 * @summary Baklava Dropdown Group component
 */
export declare const BlDropdownGroup: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/dropdown/group/bl-dropdown-group").default, {}>>;
/**
 * @tag bl-dropdown-item
 * @summary Baklava Dropdown Item component
 */
export declare const BlDropdownItem: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/dropdown/item/bl-dropdown-item").default, {
    onBlDropdownItemClick: EventName<BlDropdownItemDropdownItemClick>;
}>>;
/**
 * @tag bl-notification-card
 * @summary Baklava Notification Card component
 */
export declare const BlNotificationCard: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/notification/card/bl-notification-card").default, {
    onBlNotificationCardRequestClose: EventName<BlNotificationCardNotificationCardRequestClose>;
    onBlNotificationCardClose: EventName<BlNotificationCardNotificationCardClose>;
}>>;
/**
 * @tag bl-radio
 * @summary Baklava Radio Option component
 *
 * @cssprop [--bl-radio-align-items=center] Align items of radio option
 */
export declare const BlRadio: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/radio-group/radio/bl-radio").default, {
    onBlChecked: EventName<BlRadioChecked>;
    onBlFocus: EventName<BlRadioFocus>;
    onBlBlur: EventName<BlRadioBlur>;
}>>;
export declare const BlSelectOption: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/select/option/bl-select-option").default<string>, {
    onBlSelectOption: EventName<BlSelectOptionSelectOption>;
    onBlFocus: EventName<BlSelectOptionFocus>;
    onBlBlur: EventName<BlSelectOptionBlur>;
}>>;
/**
 * @tag bl-tab
 * @summary Baklava Tab component
 */
export declare const BlTab: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/tab-group/tab/bl-tab").default, {
    onBlTabSelected: EventName<BlTabTabSelected>;
}>>;
/**
 * @tag bl-tab-panel
 * @summary Baklava Tab panel component
 */
export declare const BlTabPanel: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/tab-group/tab-panel/bl-tab-panel").default, {}>>;
/**
 * @tag bl-table-body
 * @summary Baklava Table component
 */
export declare const BlTableBody: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/table/table-body/bl-table-body").default, {}>>;
/**
 * @tag bl-table-cell
 * @summary Baklava Table component
 */
export declare const BlTableCell: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/table/table-cell/bl-table-cell").default, {}>>;
/**
 * @tag bl-table-header
 * @summary Baklava Table component
 */
export declare const BlTableHeader: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/table/table-header/bl-table-header").default, {}>>;
/**
 * @tag bl-table-header-cell
 * @summary Baklava Table component
 *
 * @cssproperty [--bl-table-header-cell-width] Set the column width
 * @cssproperty [--bl-table-header-cell-min-width] Set the column min width
 */
export declare const BlTableHeaderCell: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/table/table-header-cell/bl-table-header-cell").default, {}>>;
/**
 * @tag bl-table-row
 * @summary Baklava Table component
 */
export declare const BlTableRow: React.LazyExoticComponent<import("@lit-labs/react").ReactWebComponent<import("./components/table/table-row/bl-table-row").default, {}>>;
//# sourceMappingURL=baklava-react.d.ts.map