import { LitElement, PropertyValues, TemplateResult } from "lit";
import { CSSResultGroup } from "lit/development";
import "../../icon/bl-icon";
import { BaklavaIcon } from "../../icon/icon-list";
export default class BlAccordion extends LitElement {
    /**
     * Whether the accordion is expanded
     */
    open: boolean;
    /**
     * Sets accordion caption.
     */
    caption?: string;
    /**
     * Add icon to beginning of the title
     */
    icon?: boolean | BaklavaIcon;
    /**
     * Whether the accordion is disabled
     */
    disabled: boolean;
    /**
     * Fires when accordion open state change.
     */
    private _onToggle;
    animationDuration: number;
    private _animation;
    private _animationStatus;
    detailsEl: HTMLDetailsElement;
    summaryEl: HTMLElement;
    contentEl: HTMLElement;
    static get styles(): CSSResultGroup;
    _animate(isExpanding: boolean): void;
    private _onAnimationFinish;
    expand(): void;
    collapse(): void;
    private _clickHandler;
    protected updated(_changedProperties: PropertyValues): void;
    render(): TemplateResult;
}
//# sourceMappingURL=bl-accordion.d.ts.map