import { CSSResultGroup, LitElement, TemplateResult } from "lit";
import "../icon/bl-icon";
import { BaklavaIcon } from "../icon/icon-list";
export type AlertVariant = "info" | "warning" | "success" | "danger";
/**
 * @tag bl-alert
 * @summary Baklava Alert component
 */
export default class BlAlert extends LitElement {
    static get styles(): CSSResultGroup;
    /**
     * Sets alert variant
     */
    variant: AlertVariant;
    /**
     * Sets alert description
     */
    description?: string;
    /**
     * Allows to customize alert icon
     */
    icon?: boolean | BaklavaIcon;
    /**
     * Displays a close button.
     */
    closable: boolean;
    /**
     * Sets alert caption.
     */
    caption?: string;
    /**
     * Sets alert components display state.
     */
    closed: boolean;
    /**
     * Opens alert component.
     */
    open(): void;
    /**
     * Closes alert component.
     */
    close(): void;
    /**
     * Fires when close button clicked.
     */
    private onClose;
    private get _hasAlertCaptionSlot();
    private _closeHandler;
    private _predefinedIcons;
    private _getIcon;
    private _initAlertActionSlot;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        "bl-alert": BlAlert;
    }
}
//# sourceMappingURL=bl-alert.d.ts.map