import { CSSResultGroup, LitElement, TemplateResult } from "lit";
import "../icon/bl-icon";
import { BaklavaIcon } from "../icon/icon-list";
export type BadgeSize = "small" | "medium" | "large";
/**
 * @tag bl-badge
 * @summary Baklava Badge component
 *
 * @cssproperty [--bl-badge-bg-color=--bl-color-primary-contrast] Sets the background color of badge
 * @cssproperty [--bl-badge-color=--bl-color-primary] Sets the color of badge
 */
export default class BlBadge extends LitElement {
    static get styles(): CSSResultGroup;
    /**
     * Sets the badge size
     */
    size: BadgeSize;
    /**
     * Sets the name of the icon
     */
    icon?: BaklavaIcon;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        "bl-badge": BlBadge;
    }
}
//# sourceMappingURL=bl-badge.d.ts.map