import { CSSResultGroup, PropertyValues } from "lit";
import DatepickerCalendarMixin from "../../mixins/datepicker-calendar-mixin/datepicker-calendar-mixin";
import { EventDispatcher } from "../../utilities/event";
import "../button/bl-button";
import "../icon/bl-icon";
import { Calendar, CalendarDay, CalendarView } from "./bl-calendar.types";
/**
 * @tag bl-calendar
 * @summary Baklava Calendar component
 **/
export default class BlCalendar extends DatepickerCalendarMixin {
    today: Date;
    _calendarMonth: number;
    _calendarYear: number;
    _calendarView: CalendarView;
    _calendarYears: number[];
    _calendarDays: CalendarDay[];
    _dates: Date[];
    /**
     * Fires when date selection changes
     */
    _onBlCalendarChange: EventDispatcher<Date[]>;
    static get styles(): CSSResultGroup;
    connectedCallback(): void;
    get months(): {
        name: string;
        value: number;
    }[];
    get days(): {
        name: string;
        value: number;
    }[];
    handleClearSelectedDates: () => void;
    getDayNumInAMonth(year: number, month: number): number;
    getWeekDayOfDate(year: number, month: number): number;
    setPreviousCalendarView(): void;
    setNextCalendarView(): void;
    setCurrentCalendarView(view: CalendarView): void;
    setMonthAndCalendarView(month: number): void;
    setYearAndCalendarView(year: number): void;
    generateSurroundingYears(): void;
    clearRangePickerStyles(): void;
    handleDate(date: Date): void;
    handleSingleSelectCalendar(calendarDate: Date): void;
    handleMultipleSelectCalendar(calendarDate: Date): void;
    handleRangeSelectCalendar(calendarDate: Date): void;
    checkIfSelectedDate(calendarDate: Date): boolean;
    checkIfDateIsToday(calendarDate: Date): boolean;
    checkIfDateIsDisabled(calendarDate: Date): boolean;
    setHoverClass(): void;
    createCalendarDays(): Calendar;
    updated(changedProperties: PropertyValues): void;
    renderCalendarHeader(): import("lit-html").TemplateResult<1>;
    renderCalendarDays(): import("lit-html").TemplateResult<1>;
    renderCalendarMonths(): import("lit-html").TemplateResult<1>;
    renderCalendarYears(): import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1>;
}
//# sourceMappingURL=bl-calendar.d.ts.map