import { CSSResultGroup, LitElement, TemplateResult } from "lit";
import "element-internals-polyfill";
import "../../icon/bl-icon";
import type BlCheckboxGroup from "../bl-checkbox-group";
export declare const blCheckboxTag = "bl-checkbox";
declare const BlCheckbox_base: import("@open-wc/form-control").Constructor<import("@open-wc/form-control").FormControlInterface> & typeof LitElement;
/**
 * @tag bl-checkbox
 * @summary Baklava Checkbox component
 */
export default class BlCheckbox extends BlCheckbox_base {
    static get styles(): CSSResultGroup;
    static shadowRootOptions: {
        delegatesFocus: boolean;
        mode: ShadowRootMode;
        slotAssignment?: SlotAssignmentMode | undefined;
        customElements?: CustomElementRegistry | undefined;
    };
    static formControlValidators: import("@open-wc/form-control").Validator[];
    validationTarget: HTMLInputElement;
    /**
     * Sets the checked state for checkbox
     */
    checked: boolean;
    /**
     * Sets the checkbox value
     */
    value: string;
    /**
     * Sets checkbox as required
     */
    required: boolean;
    /**
     * Set custom error message
     */
    customInvalidText?: string;
    /**
     * Sets the disabled state for checkbox
     */
    disabled: boolean;
    /**
     * Sets the indeterminate state for checkbox
     */
    indeterminate: boolean;
    /**
     * Fires whenever user change the value of the checkbox.
     */
    private onChange;
    /**
     * Fires when checkbox is focused
     */
    private onFocus;
    /**
     * Fires when checkbox is blurred
     */
    private onBlur;
    /**
     * Fires when checkbox is invalid
     */
    private onInvalid;
    checkboxElement: HTMLElement;
    private dirty;
    protected field: BlCheckboxGroup | null;
    connectedCallback(): void;
    reportValidity(): boolean;
    disconnectedCallback(): void;
    protected updated(changedProperties: Map<string, unknown>): Promise<void>;
    update(changedProperties: Map<string, unknown>): void;
    validityCallback(): string | void;
    /**
     * Focuses this option
     */
    focus(): void;
    /**
     * Blurs from this option
     */
    blur(): void;
    private handleSubmit;
    private handleChange;
    private handleFieldValueChange;
    private handleKeyDown;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        [blCheckboxTag]: BlCheckbox;
    }
}
export {};
//# sourceMappingURL=bl-checkbox.d.ts.map