import { CSSResultGroup, TemplateResult } from "lit";
import { BlCalendar, BlPopover } from "../../baklava";
import DatepickerCalendarMixin from "../../mixins/datepicker-calendar-mixin/datepicker-calendar-mixin";
import "../calendar/bl-calendar";
import "../input/bl-input";
import BlInput, { InputSize } from "../input/bl-input";
import "../tooltip/bl-tooltip";
/**
 * @tag bl-datepicker
 * @summary Baklava DatePicker component
 *
 * @cssproperty [--bl-datepicker-input-width] - Sets the width of datepicker input
 **/
export default class BlDatepicker extends DatepickerCalendarMixin {
    /**
     * Defines the datepicker input placeholder
     */
    placeholder: string;
    /**
     * Sets input size.
     */
    size?: InputSize;
    /**
     * Makes datepicker input label as fixed positioned
     */
    labelFixed: boolean;
    /**
     * Defines the datepicker input label
     */
    label: string;
    /**
     * Defines the custom formatter function
     */
    valueFormatter: ((dates: Date[]) => string) | null;
    /**
     * Sets datepicker to disabled
     */
    disabled: boolean;
    /**
     * Defines help text to datepicker input for users
     */
    helpText: string;
    _inputValue: string;
    _floatingDateCount: number;
    _fittingDateCount: number;
    _calendarEl: BlCalendar;
    _popoverEl: BlPopover;
    _inputEl: BlInput;
    private _onCalendarMouseDown;
    private _onInputMouseDown;
    /**
     * Fires when date selection is changed
     */
    private _onBlDatepickerChange;
    static get styles(): CSSResultGroup;
    defaultInputValueFormatter(): void;
    closePopoverWithTimeout(): void;
    setFloatingDates(): void;
    setDatePickerInput(): void;
    formatDate(date: Date): string;
    clearDatepicker(): void;
    openPopover(): void;
    closePopover(): void;
    _togglePopover(): void;
    formatAdditionalDates(str: string): TemplateResult[];
    firstUpdated(): Promise<void>;
    onCalendarChange(): void;
    disconnectedCallback(): void;
    render(): TemplateResult<1>;
}
//# sourceMappingURL=bl-datepicker.d.ts.map