import { CSSResultGroup, LitElement, PropertyValues, TemplateResult } from "lit";
import "../button/bl-button";
/**
 * @tag bl-drawer
 * @summary Baklava Drawer component
 *
 * @cssproperty [--bl-drawer-animation-duration=250ms] Drawer slide in animation duration
 */
export default class BlDrawer extends LitElement {
    static get styles(): CSSResultGroup;
    /**
     * Sets drawer open-close status
     */
    open: boolean;
    /**
     *  Sets the drawer title
     */
    caption?: string;
    /**
     *  Sets the drawer embed url for iframe
     */
    embedUrl?: string;
    /**
     *  Sets the drawer external link
     */
    externalLink?: string;
    /**
     *  Sets the drawer width
     */
    width: string;
    /**
     * Fires when the drawer is opened
     */
    private onOpen;
    /**
     * Fires when the drawer is closed
     */
    private onClose;
    _drawerIframe: HTMLIFrameElement;
    connectedCallback(): void;
    disconnectedCallback(): void;
    updated(changedProperties: PropertyValues<this>): void;
    private domExistenceSchedule;
    private resizeDrawerWidth;
    private toggleDialogHandler;
    private domExistence;
    private closeDrawer;
    private renderContent;
    private renderContainer;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        "bl-drawer": BlDrawer;
    }
}
//# sourceMappingURL=bl-drawer.d.ts.map