import { CSSResultGroup, LitElement, TemplateResult } from "lit";
import "../button/bl-button";
import { ButtonKind, ButtonSize, ButtonVariant } from "../button/bl-button";
import BlDropdownItem from "./item/bl-dropdown-item";
export declare const blDropdownTag = "bl-dropdown";
/**
 * @tag bl-dropdown
 * @summary Baklava Dropdown component
 */
export default class BlDropdown extends LitElement {
    static get styles(): CSSResultGroup;
    private _popover;
    private _button;
    private _isPopoverOpen;
    /**
     * Sets the dropdown button label
     */
    label: string;
    /**
     * Sets the dropdown button variant
     */
    variant: ButtonVariant;
    /**
     * Sets the dropdown button kind
     */
    kind: ButtonKind;
    /**
     * Sets the dropdown button size
     */
    size: ButtonSize;
    /**
     * Sets button as disabled
     */
    disabled: boolean;
    /**
     * Sets the icon name to be displayed on the left side of the button label
     */
    icon?: string;
    /**
     * Fires when dropdown opened
     */
    private onOpen;
    /**
     * Fires when dropdown closed
     */
    private onClose;
    connectedCallback(): void;
    disconnectedCallback(): void;
    firstUpdated(): void;
    get opened(): boolean;
    private _handleClick;
    private focusedOptionIndex;
    private handleKeyDown;
    get options(): BlDropdownItem[];
    open(): void;
    close(): void;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        [blDropdownTag]: BlDropdown;
    }
}
//# sourceMappingURL=bl-dropdown.d.ts.map