import { CSSResultGroup, LitElement, TemplateResult } from "lit";
import "../../button/bl-button";
import { BaklavaIcon } from "../../icon/icon-list";
export declare const blDropdownItemTag = "bl-dropdown-item";
/**
 * @tag bl-dropdown-item
 * @summary Baklava Dropdown Item component
 */
export default class BlDropdownItem extends LitElement {
    static get styles(): CSSResultGroup;
    /**
     * Sets the icon name. Shows icon with bl-icon component
     */
    icon?: BaklavaIcon;
    /**
     * Sets item as disabled
     */
    disabled: boolean;
    private onClick;
    private _handleClick;
    private menuElement;
    /**
     * Focuses this action
     */
    focus(): void;
    private BlDropdownGroupField;
    private BlDropdownField;
    private BlSplitButtonField;
    connectedCallback(): void;
    disconnectedCallback(): void;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        [blDropdownItemTag]: BlDropdownItem;
    }
}
//# sourceMappingURL=bl-dropdown-item.d.ts.map