import { CSSResultGroup, LitElement, TemplateResult } from "lit";
import { BaklavaIcon } from "./icon-list";
/**
 * @tag bl-icon
 * @summary Baklava Icon component
 *
 * @attr [name] Name of the icon to show
 * @cssproperty [font-size] Setting size of icon. Default is current font size in DOM place
 * @cssproperty [color=currentColor] Setting color of icon
 */
export default class BlIcon extends LitElement {
    static get styles(): CSSResultGroup;
    private _iconName;
    /**
     * Name of the icon to show
     */
    get name(): BaklavaIcon;
    set name(value: BaklavaIcon);
    /**
     * Fires when SVG icon loaded
     */
    private onLoad;
    /**
     * Fires when SVG icon failed to load
     */
    private onError;
    private svg;
    load(): Promise<void>;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        "bl-icon": BlIcon;
    }
}
//# sourceMappingURL=bl-icon.d.ts.map