import { CSSResultGroup, LitElement, TemplateResult } from "lit";
export type ProgressIndicatorSize = "small" | "medium" | "large";
/**
 * @tag bl-progress-indicator
 * @summary Baklava Progress Indicator component
 *
 * @cssproperty [--bl-progress-indicator-transition-duration=.2s] Duration of the transition of progress bar
 * @property {max} [max=100]
 * @property {number} [value=0]
 */
export default class BlProgressIndicator extends LitElement {
    static get styles(): CSSResultGroup;
    private wrapper;
    /**
     * Sets the size
     */
    size: ProgressIndicatorSize;
    /**
     * Sets the status
     */
    failed: boolean;
    /**
     * Sets the max
     */
    get max(): number;
    set max(max: number);
    /**
     * Sets the value
     */
    get value(): number;
    set value(value: number);
    private _max;
    private _value;
    updateCssVariable(): Promise<void>;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        "bl-progress-indicator": BlProgressIndicator;
    }
}
//# sourceMappingURL=bl-progress-indicator.d.ts.map