import { CSSResultGroup, LitElement, TemplateResult } from "lit";
import "element-internals-polyfill";
import BlRadio from "./radio/bl-radio";
export declare const blRadioGroupTag = "bl-radio-group";
export declare const blChangeEventName = "bl-radio-change";
declare const BlRadioGroup_base: import("@open-wc/form-control").Constructor<import("@open-wc/form-control").FormControlInterface> & typeof LitElement;
/**
 * @tag bl-radio-group
 * @summary Baklava Button component
 *
 * @cssproperty [--bl-radio-direction=row] Can be used for showing radio options as columns instead of rows. Options are `row` or `column`
 * @cssproperty [--bl-radio-group-cross-axis-item-alignment=normal] Can be used for aligning radio items on cross axis. Acts same with align-item
 * @cssproperty [--bl-radio-group-cross-axis-content-alignment=normal] Can be used for aligning radio group content on cross axis. Acts same with align-content
 * @cssproperty [--bl-radio-group-main-axis-content-alignment=normal] Can be used for aligning radio group content on main axis. Acts same with justify-content
 */
export default class BlRadioGroup extends BlRadioGroup_base {
    static get styles(): CSSResultGroup;
    /**
     * Sets the radio group label
     */
    label: string;
    /**
     * Set and gets the actual value of the field
     */
    value: string;
    /**
     * Sets option as required
     */
    required: boolean;
    get options(): BlRadio[];
    get availableOptions(): BlRadio[];
    updated(changedProperties: Map<string, unknown>): void;
    /**
     * Fires when radio group value changed
     */
    private onChange;
    private focusedOptionIndex;
    private handleOptionChecked;
    private handleKeyDown;
    connectedCallback(): void;
    private handleFocus;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        [blRadioGroupTag]: BlRadioGroup;
    }
    interface HTMLElementEventMap {
        [blChangeEventName]: CustomEvent<string>;
    }
}
export {};
//# sourceMappingURL=bl-radio-group.d.ts.map