import { CSSResultGroup, LitElement, TemplateResult } from "lit";
export declare const blRadioTag = "bl-radio";
export declare const blCheckedEventName = "bl-checked";
/**
 * @tag bl-radio
 * @summary Baklava Radio Option component
 *
 * @cssprop [--bl-radio-align-items=center] Align items of radio option
 */
export default class BlRadio extends LitElement {
    static get styles(): CSSResultGroup;
    name: string;
    value: string;
    /**
     * Sets option as disabled
     */
    disabled: boolean;
    private selected;
    /**
     * Fires when radio is checked
     */
    private onChecked;
    /**
     * Fires when radio is blurred
     */
    private onFocus;
    /**
     * Fires when radio is blurred
     */
    private onBlur;
    /**
     * Sets this option selected
     */
    select(): void;
    /**
     * Readonly property to determine if option is currently checked
     */
    get checked(): boolean;
    private radioElement;
    /**
     * Focuses this option
     */
    focus(): void;
    /**
     * Blurs from this option
     */
    blur(): void;
    private handleFieldValueChange;
    private field;
    connectedCallback(): void;
    disconnectedCallback(): void;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        [blRadioTag]: BlRadio;
    }
    interface HTMLElementEventMap {
        [blCheckedEventName]: CustomEvent<string>;
    }
}
//# sourceMappingURL=bl-radio.d.ts.map