import { CSSResultGroup, LitElement } from "lit";
import { FormValue } from "@open-wc/form-helpers";
export default class BlSelectOption<ValueType extends FormValue = string> extends LitElement {
    static get styles(): CSSResultGroup;
    private _value;
    /**
     * Sets the value for the option
     */
    get value(): ValueType;
    set value(val: ValueType);
    /**
     * Sets the label for bl-select, and bl-select renders this value instead of the option's textContent
     */
    label: string;
    /**
     * Sets option as disabled
     */
    disabled: boolean;
    /**
     * Sets option as selected state
     */
    selected: boolean;
    multiple: boolean;
    /**
     * Fires when clicked on the option
     */
    private _onSelect;
    /**
     * Fires when checkbox is focused
     */
    private onFocus;
    /**
     * Fires when checkbox is blurred
     */
    private onBlur;
    private focusTarget;
    /**
     * Focuses this option
     */
    focus(): void;
    /**
     * Blurs from this option
     */
    blur(): void;
    private blSelect;
    private singleOptionTemplate;
    private checkboxOptionTemplate;
    render(): import("lit-html").TemplateResult<1>;
    private handleKeydown;
    private _handleEvent;
    private _onClickOption;
    private _onCheckboxChange;
    connectedCallback(): void;
    disconnectedCallback(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "bl-select-option": BlSelectOption;
    }
}
//# sourceMappingURL=bl-select-option.d.ts.map