import { CSSResultGroup, LitElement, TemplateResult } from "lit";
export declare const blSwitchTag = "bl-switch";
/**
 * @tag bl-switch
 * @summary Baklava Switch component
 *
 * @cssproperty [--bl-switch-color-on=--bl-color-primary] Set the checked color
 * @cssproperty [--bl-switch-color-off=--bl-color-neutral-lighter] Set the unchecked color
 * @cssproperty [--bl-switch-animation-duration=300ms] Set the animation duration of switch toggle
 */
export default class BlSwitch extends LitElement {
    static get styles(): CSSResultGroup;
    /**
     * Sets the checked state for switch
     */
    checked: boolean;
    /**
     * Sets the disabled state for switch
     */
    disabled?: boolean | undefined;
    /**
     * Fires whenever user toggles the switch
     */
    private onToggle;
    toggle(): void;
    connectedCallback(): void;
    private handleKeyDown;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        [blSwitchTag]: BlSwitch;
    }
}
//# sourceMappingURL=bl-switch.d.ts.map