import { CSSResultGroup, LitElement, TemplateResult } from "lit";
import "./tab-panel/bl-tab-panel";
import type BlTabPanel from "./tab-panel/bl-tab-panel";
import "./tab/bl-tab";
import type BlTab from "./tab/bl-tab";
/**
 * @tag bl-tab-group
 * @summary Baklava Tab group component
 */
export default class BlTabGroup extends LitElement {
    static get styles(): CSSResultGroup;
    private _connectedTabs;
    private _connectedPanels;
    private _tabFocus;
    get tabs(): BlTab[];
    get panels(): BlTabPanel[];
    /**
     * This method is used by `tab` component to register them self to the tab group.
     * @param tab BlTab reference to be registered
     */
    registerTab(tab: BlTab): void;
    /**
     * This method is used by `tab` component to unregister them self to the tab group.
     * @param tab BlTab reference to be unregistered
     */
    unregisterTab(tab: BlTab): void;
    /**
     * This method is used by `tab-panel` component to register them self to the tab group.
     * @param panel BlTabPanel reference to be registered
     */
    registerTabPanel(panel: BlTabPanel): void;
    /**
     * This method is used by `tab-panel` component to unregister them self to the tab group.
     * @param panel BlTabPanel reference to be unregistered
     */
    unregisterTabPanel(panel: BlTabPanel): void;
    private _selectedTabName;
    get selectedTabName(): string;
    set selectedTabName(name: string);
    private _handleTabSelected;
    private _handleTabListKeyDown;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        "bl-tab-group": BlTabGroup;
    }
}
//# sourceMappingURL=bl-tab-group.d.ts.map