import { CSSResultGroup, LitElement, PropertyValues, TemplateResult } from "lit";
import { BaklavaIcon } from "../../icon/icon-list";
/**
 * @tag bl-tab
 * @summary Baklava Tab component
 */
export default class BlTab extends LitElement {
    static get styles(): CSSResultGroup;
    private tabGroup;
    connectedCallback(): void;
    disconnectedCallback(): void;
    /**
     * Sets the caption of tab
     */
    caption: string;
    /**
     * Name of the tab that should match `tab-panel`'s `tab` attribute
     */
    name: string;
    /**
     * Set tooltip text. Should be set to display information icon.
     */
    helpText: string;
    /**
     * Name of the icon which display on the left side of the tab.
     */
    icon?: BaklavaIcon;
    /**
     * Shows notification dot.
     */
    notify: boolean;
    /**
     * Sets the content of the badge.
     */
    badge: string;
    /**
     * Set `tab` as selected.
     */
    selected: boolean;
    /**
     * Set `tab` as disabled.
     */
    disabled: boolean;
    /**
     * Fires when tab is selected.
     */
    private _onSelect;
    private tab;
    /**
     * Set tab selected.
     */
    select(): void;
    focus(): void;
    updated(changedProperties: PropertyValues<this>): void;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        "bl-tab": BlTab;
    }
}
//# sourceMappingURL=bl-tab.d.ts.map