import { LitElement, TemplateResult } from "lit";
import { CSSResultGroup } from "lit/development";
import "element-internals-polyfill";
import "../../checkbox-group/checkbox/bl-checkbox";
export declare const blTableCellTag = "bl-table-cell";
/**
 * @tag bl-table-cell
 * @summary Baklava Table component
 */
export default class BlTableCell extends LitElement {
    static get styles(): CSSResultGroup;
    /**
     * Disable selection
     */
    disableSelection: boolean;
    private get _table();
    private get _tableRow();
    get disabled(): boolean;
    get selectable(): string | false;
    get index(): number;
    get selectionKey(): string;
    get checked(): boolean;
    get shadowRight(): boolean;
    get shadowLeft(): boolean;
    connectedCallback(): void;
    onChange(event: CustomEvent): void;
    private _renderCheckbox;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        [blTableCellTag]: BlTableCell;
    }
}
//# sourceMappingURL=bl-table-cell.d.ts.map