import { CSSResultGroup, LitElement, TemplateResult } from "lit";
import "element-internals-polyfill";
import "../../checkbox-group/checkbox/bl-checkbox";
import "../../icon/bl-icon";
import { BaklavaIcon } from "../../icon/icon-list";
export declare const blTableHeaderCellTag = "bl-table-header-cell";
/**
 * @tag bl-table-header-cell
 * @summary Baklava Table component
 *
 * @cssproperty [--bl-table-header-cell-width] Set the column width
 * @cssproperty [--bl-table-header-cell-min-width] Set the column min width
 */
export default class BlTableHeaderCell extends LitElement {
    static get styles(): CSSResultGroup;
    /**
     * Set key value for column
     */
    sortKey: string;
    private get _table();
    private get _tableRow();
    get selectable(): boolean;
    get sortable(): boolean;
    get index(): number;
    get checked(): boolean;
    get indeterminate(): boolean;
    get isAllUnselectedDisabled(): boolean;
    get sortDirection(): string;
    get sortIconName(): BaklavaIcon;
    get shadowRight(): boolean;
    get shadowLeft(): boolean;
    connectedCallback(): void;
    onChange(event: CustomEvent): void;
    onSort(): void;
    private _renderCheckbox;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        [blTableHeaderCellTag]: BlTableHeaderCell;
    }
}
//# sourceMappingURL=bl-table-header-cell.d.ts.map