import { LitElement, PropertyValues, TemplateResult } from "lit";
import { CSSResultGroup } from "lit/development";
import "element-internals-polyfill";
import "../../checkbox-group/checkbox/bl-checkbox";
export declare const blTableRowTag = "bl-table-row";
/**
 * @tag bl-table-row
 * @summary Baklava Table component
 */
export default class BlTableRow extends LitElement {
    static get styles(): CSSResultGroup;
    /**
     * selection key for table row
     */
    selectionKey: string;
    connectedCallback(): void;
    updated(_changedProperties: PropertyValues): void;
    private get _table();
    private get _firstTableCell();
    get disabled(): boolean;
    get checked(): boolean;
    get stickyFirstColumn(): boolean;
    get stickyLastColumn(): boolean;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        [blTableRowTag]: BlTableRow;
    }
}
//# sourceMappingURL=bl-table-row.d.ts.map