import { CSSResultGroup, LitElement, TemplateResult } from "lit";
import "../button/bl-button";
import "../icon/bl-icon";
import { BaklavaIcon } from "../icon/icon-list";
export type TagSize = "small" | "medium" | "large";
type TagVariant = "selectable" | "removable";
/**
 * @tag bl-tag
 * @summary Baklava Tag component
 */
export default class BlTag extends LitElement {
    static get styles(): CSSResultGroup;
    /**
     * Sets the tag size
     */
    size: TagSize;
    /**
     * Sets the tag variant
     */
    variant: TagVariant;
    /**
     * Sets the name of the icon
     */
    icon?: BaklavaIcon;
    /**
     * Sets the selected state of the tag
     */
    selected: boolean;
    /**
     *  Disables the tag
     */
    disabled: boolean;
    /**
     * Sets the value of the tag
     */
    value: string | null;
    /**
     * Dispatches when the tag is clicked
     */
    private _onBlTagClick;
    private _handleClick;
    private _removeButtonTemplate;
    private _iconTemplate;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        "bl-tag": BlTag;
    }
}
export {};
//# sourceMappingURL=bl-tag.d.ts.map