import { CSSResultGroup, LitElement, PropertyValues, TemplateResult } from "lit";
import "../popover/bl-popover";
import { Placement } from "../popover/bl-popover";
/**
 * @tag bl-tooltip
 * @summary Baklava Tooltip component
 * @dependency bl-popover
 *
 * @cssproperty [--bl-tooltip-trigger-display=inline-flex] Set the display of the tooltip trigger.
 */
export default class BlTooltip extends LitElement {
    static get styles(): CSSResultGroup;
    private trigger;
    private _popover;
    /**
     * Sets placement of the tooltip
     */
    placement: Placement;
    /**
     * Fires when hovering over a trigger
     */
    private onShow;
    /**
     * Fires when leaving over from trigger
     */
    private onHide;
    target: string | Element;
    protected update(changedProperties: PropertyValues): void;
    private _addEvents;
    private _removeEvents;
    connectedCallback(): void;
    disconnectedCallback(): void;
    /**
     * Shows tooltip
     */
    show(): void;
    /**
     * Hides tooltip
     */
    hide(): void;
    /**
     * Gives the visibility status of the tooltip
     */
    get visible(): boolean;
    private triggerTemplate;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        "bl-tooltip": BlTooltip;
    }
}
//# sourceMappingURL=bl-tooltip.d.ts.map