import { LitElement } from "lit";
import { CalendarType, DayValues } from "../../components/calendar/bl-calendar.types";
export default class DatepickerCalendarMixin extends LitElement {
    /**
     * Defines the calendar types, available types are single, multiple and range
     */
    type: CalendarType;
    /**
     * Defines the start day of the calendar (1 defines monday)
     */
    startOfWeek: DayValues;
    /**
     * Defines the calendar language
     */
    locale: string;
    /**
     * Defines the unselectable dates for calendar
     */
    protected _disabledDates: Date[];
    get disabledDates(): Date[];
    set disabledDates(disabledDates: Date[] | string);
    /**
     * Defines the maximum date value for the calendar
     */
    _maxDate: Date;
    get maxDate(): Date;
    set maxDate(maxDate: Date);
    /**
     * Defines the minimum date value for the calendar
     */
    _minDate: Date;
    get minDate(): Date;
    set minDate(minDate: Date);
    set value(value: string | Date | Date[]);
    get value(): string | Date | Date[];
    _value: string | Date | Date[];
}
//# sourceMappingURL=datepicker-calendar-mixin.d.ts.map